from .helpers import *


class Style(ModeAttribute):

    def __init__(self, code: int, reset_code: int) -> None:
        super().__init__(code)
        self.reset = ModeAttribute(reset_code)


BOLD = Style(1, 22)
DIM = Style(2, 22)
ITALIC = Style(3, 23)
UNDERLINE = Style(4, 24)
DOUBLE_UNDERLINE = Style(21, 24)
BLINKING = Style(5, 25)
RAPID_BLINKING = Style(6, 25)
INVERSE = Style(7, 27)
HIDDEN = Style(8, 28)
STRIKETHROUGH = Style(9, 29)

RESET_ALL = ModeAttribute(0)